{% if searchLogs %}
    <table class="table-sort table-search-logs">
        <thead>
        <tr>
            <th>{% trans %}N° de recherche{% endtrans %}</th>
            <th>{% trans %}Étude{% endtrans %}</th>
            <th>{% trans %}Nom{% endtrans %}</th>
            <th>{% trans %}Prénoms{% endtrans %}</th>
            <th>{% trans %}Date naissance{% endtrans %}</th>
            <th>{% trans %}Date décès{% endtrans %}</th>
            <th>{% trans %}Lieu décès{% endtrans %}</th>
            <th>{% trans %}Date acte{% endtrans %}</th>
            <th>{% trans %}N° individu{% endtrans %}</th>
            <th>{% trans %}Réponse{% endtrans %}</th>
            <th>{% trans %}Lien PDF{% endtrans %}</th>
            <th>{% trans %}Date recherche{% endtrans %}</th>
            {% if settings.data.documentaryExchange %}
                <th>{% trans %}Documents joints{% endtrans %}</th>
            {% endif %}
        </tr>
        </thead>
        <tbody>
        {% for searchLog in searchLogs %}
            <tr>
                <td>{{ searchLog.id }}</td>
                <td>
                    {% if searchLog.user %}
                        {{ searchLog.user.username }}
                    {% else %}
                        {{ 'userLogs.accountNotExist'|trans }}
                    {% endif %}
                </td>
                <td>
                    {% if searchLog.useName is empty or searchLog.civilName is empty %}
                        {% if searchLog.useName %}
                            {{ searchLog.useName }}
                        {% endif %}
                        {% if searchLog.civilName %}
                            {{ searchLog.civilName }}
                        {% endif %}
                    {% else %}
                        {% if settings.data.getSearchByName == constant('App\\Helper\\SearchHelper::SEARCH_BY_CIVIL_NAME') %}
                            {% if searchLog.useName %}
                                {% trans %}Nom civil :{% endtrans %} {{ searchLog.civilName }}<br/>
                                {% trans %}Nom d'usage :{% endtrans %} {{ searchLog.useName }}
                            {% endif %}
                        {% else %}
                            {% if searchLog.civilName %}
                                {% trans %}Nom d'usage :{% endtrans %} {{ searchLog.useName }}<br/>
                                {% trans %}Nom civil :{% endtrans %} {{ searchLog.civilName }}
                            {% endif %}
                        {% endif %}
                    {% endif %}
                </td>
                <td>
                    {% if searchLog.firstNames|length > 1 %}
                        <ul>
                            {% for firstName in searchLog.firstNames %}
                                <li>{{ firstName }}</li>
                            {% endfor %}
                        </ul>
                    {% else %}
                        {{ searchLog.firstName }}
                    {% endif %}
                </td>
                <td data-sort="{{ searchLog.birthDate|date("c") }}">{{ searchLog.birthDate|date("d-m-Y") }}</td>
                <td data-sort="{{ searchLog.deathDate|date("c") }}">{{ searchLog.deathDate|date("d-m-Y") }}</td>
                <td>{{ searchLog.deathLocation }}</td>
                <td data-sort="{{ searchLog.deathCertificateDate|date("c") }}">{{ searchLog.deathCertificateDate|date("d-m-Y") }}</td>
                <td>
                    {% if searchLog.person %}
                        {{ searchLog.person }}
                    {% endif %}
                </td>
                <td>
                    {% for responseType in searchLog.responseType|reduce((unique, item) => item in unique ? unique : unique|merge([item]), []) %}
                        {{ ('responseType.' ~ responseType)|trans }}{% if not loop.last %},{% endif %}
                    {% endfor %}
                </td>
                <td>
                    {% if search_has_pdf(searchLog.responseType) and searchLog.hasPDF %}
                        <a href="{{ path('letter_pdf', {'id': searchLog.id}) }}"
                           title="{% trans %}Lien vers la lettre au format PDF{% endtrans %}" target="_blank">
                            PDF
                        </a>
                    {% else %}
                        Pas de PDF
                    {% endif %}
                </td>
                <td data-sort="{{ searchLog.searchDate|date("c") }}">{{ searchLog.searchDate|date("d/m/Y H:i:s") }}</td>
                {% if settings.data.documentaryExchange %}
                     <td>
                        <ul>
                            {% if searchLog.deathDocument %}
                               <li>
                                 <a href="{{ path('get_document',{id : searchLog.id, type: 1}) }}" target="_blank">{% trans %}Acte de décès{% endtrans %}</a>
                                </li>
                            {% endif %}
                            {% if searchLog.netDocument %}
                                <li>
                                    <a href="{{ path('get_document',{id : searchLog.id, type: 2}) }}" target="_blank">{% trans %}Actif net successoral{% endtrans %}</a>
                                </li>
                            {% endif %}
                            {% if searchLog.otherDocument %}
                                <li>
                                    <a href="{{ path('get_document',{id : searchLog.id, type: 3}) }}" target="_blank">{% trans %}Autre document{% endtrans %}</a>
                                </li>
                            {% endif %}
                        </ul>
                     </td>
                {% endif %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endif %}



